Subject: Re: Setup hangs in postinstall
From: Michael Robbert <[email-masked]>
To: [email-masked], Igor Pechtchanski <[email-masked]>
Cc: [email-masked]
Date: Thu, 11 Dec 2003 10:36:03 -0700

Quoting Igor Pechtchanski <[email-masked]>:

> BTW, if you don't escape the backticks ("`"s), they will be evaluated in
> the *current* shell.  You should try to run
> 
> strace sh -c 'TEST=`uname -s`'
> 
> (note the single quotes).  You can see the difference by comparing the
> output of "sh -cx TEST=`uname -s`" and "sh -cx 'TEST=`uname -s`'".
> 	Igor

Thanks Igor! That is what I needed. I am attaching the strace output from the
command above. I am also able to get all the same output from gdb that Antoine
posted before. If you'd like me to get that for a debug version I can do that.

P.S. I probably shouldn't mention this, but I had the strangest thing happen to
me yesterday. One of the machines that was having this problem, my laptop,
stopped having it all of a sudden. This machine is dual boot and when I booted
to XP to get this trace I found that it would no longer hang, even when running
Antoine's loop. This trace is from my client's machine which is still having the
problem. I'm pretty sure that I didn't do any kind of updates that would make
this change happen.

-- 
Michael "Murph" Robbert

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/